Skip to main content
POST
Validate a pipeline definition of an application

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

The application whose connected repository's pipeline is addressed.

Body

application/json
spec_yaml
string

The definition to validate.

changed_files
string[]

Files to plan the affected-only analysis against.

Response

The validation.

A dry-run validation of a pipeline definition: its violations and the plan for each event.

severity
string
required
violations
string[]
required
events
object[]
required
path_sets
object[]
required